
package com.kxs.common.core.constant;

/**
 * 公共常量
 *
 * @author 没秃顶的码农
 * @date 2023/10/29
 */
public interface CommonConstants {

	/**
	 * 删除
	 */
	String STATUS_DEL = "1";

	/**
	 * 正常
	 */
	String STATUS_NORMAL = "0";

	/**
	 * 锁定
	 */
	String STATUS_LOCK = "9";

	/**
	 * 菜单树根节点
	 */
	Long MENU_TREE_ROOT_ID = -1L;

	/**
	 * 菜单
	 */
	String MENU = "0";

	/**
	 * 编码
	 */
	String UTF8 = "UTF-8";

	/**
	 * JSON 资源
	 */
	String CONTENT_TYPE = "application/json; charset=utf-8";

	/**
	 * 前端工程名
	 */
	String FRONT_END_PROJECT = "kxs-admin-ui";

	/**
	 * 后端工程名
	 */
	String BACK_END_PROJECT = "kxs";

	/**
	 * 包名
	 */
	String PACKAGE_NAME = "com.kxs.lhb";

	/**
	 * 成功标记
	 */
	Integer SUCCESS = 1;

	/**
	 * 失败标记
	 */
	Integer FAIL = 0;

	/**
	 * 当前页
	 */
	String CURRENT = "pageNum";

	/**
	 * size
	 */
	String SIZE = "pageSize";

	/**
	 * 请求开始时间
	 */
	String REQUEST_START_TIME = "REQUEST-START-TIME";


	/**
	 * 验证码个数
	 */
	public static final Integer CODE_SIZE = 6;

	/**
	 * 验证码有效期,默认 60秒
	 */
	public static final long CODE_TIME = 60 * 5;

	String ORDER_SN_PREFIX = "LHB";
	String CASH_SN_PREFIX = "CA";

	String REFUND_ORDER_PREFIX = "RT";

	String PRODUCT_FLAG = "product_flag";

	String CASH_FLAG = "cash_flag";

	String DELETE_FLAG = "d";
    String WECHAT_TOKEN_PREFIX = "wechat_token:";
	String ORDER_PUSH_NAME = "OrderNotify";
	String BIND_PUSH_NAME = "BindNotify";
    String RESULT_SUC = "订购成功";

}
