

package com.kxs.common.core.constant;


import java.time.Duration;

/**
 * 服务名称
 *
 * @author Lxq
 * @date 2023-12-04
 */
public interface ServiceNameConstants {

	String CLIENT_NAME = "http://";

	/**
	 * 请求超时时间
	 * 单位：秒
	 */
	Duration REQ_TIMEOUT = Duration.ofSeconds(30);

	/**
	 * 系统模块
	 */
	String SYSTEM_SERVICE = "lhb-system-biz";
	String LHB_SERVICE = "lhb-basic-biz";

}
