package com.kxs.common.core.valid.impl;

import cn.hutool.core.util.IdcardUtil;
import com.kxs.common.core.valid.IdCard;
import com.kxs.common.core.valid.Sn;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * sn格式校验器
 *
 * @author 没秃顶的码农
 * @date 2024-04-11
 */
public class IdCardValidator implements ConstraintValidator<IdCard, String> {

    @Override
    public void initialize(IdCard constraintAnnotation) {
        // 注解对象
    }

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        if (value == null || value.isEmpty()){
            return false;
        }
        return IdcardUtil.isValidCard(value);
    }
}

