package com.kxs.common.pay.model;

import com.kxs.common.pay.enums.PayPlatformEnum;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * 支付回调公共
 *
 * @author 没秃顶的码农
 * @date 2024-04-28
 */
@Data
public class PayMessage implements Serializable {

    /**
     * 交易渠道类型
     */
    private PayPlatformEnum payType;

}