package com.kxs.common.pay.model;

import com.kxs.common.pay.enums.PayPlatformEnum;
import lombok.Builder;
import lombok.Data;

/**
 * 支付响应公共类
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@Data
@Builder
public class PayResponse {

    /**
     * 支付平台枚举
     */
    private PayPlatformEnum payPlatformEnum;

    /**
     * 支付返回结果
     */
    private Object result;
}