package com.kxs.common.security.annotation;

import com.kxs.common.security.component.SkyResourceServerAutoConfiguration;
import com.kxs.common.security.component.SkyResourceServerConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * <p>
 * oauth2登录注解
 *
 * @author 没秃顶的码农
 * @date 2023/10/28
 */
@Documented
@Inherited
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Import(SkyResourceServerConfiguration.class)
public @interface EnableLoginResourceServer {

}
