package com.kxs.common.security.support.wechat;

import com.kxs.common.security.support.base.OAuth2ResourceOwnerBaseAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.oauth2.core.AuthorizationGrantType;

import java.util.Map;
import java.util.Set;

/**
 * @author 没秃顶的码农
 * @description 微信登录token信息
 */
public class OAuth2ResourceOwnerWechatAuthenticationToken extends OAuth2ResourceOwnerBaseAuthenticationToken {

	public OAuth2ResourceOwnerWechatAuthenticationToken(AuthorizationGrantType authorizationGrantType,
                                                        Authentication clientPrincipal, Set<String> scopes, Map<String, Object> additionalParameters) {
		super(authorizationGrantType, clientPrincipal, scopes, additionalParameters);
	}

}
