package com.kxs.lhb.basic.api.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 订单枚举
 *
 * @author 没秃顶的码农
 * @date 2024-09-04
 */
@Getter
@RequiredArgsConstructor
public enum NotifyStatusEnum {

    CANCEL(-1, "订单取消"),
    NORMAL(0, "订单生成"),
    DISTRIBUTION(1, "订单配送中"),
    FINISH(2, "订单完成"),
    ACT(3, "订单激活");

    private final int code;

    private final String description;
}
