package com.kxs.lhb.basic.api.dto.admin.sysNotify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;


/**
 * 推送管理-补推-dto
 *
 * @author 系统
 * @date 2024-09-11 15:56:28
 */
@Data
public class SysNotifyPageDTO{


    /**
     * 状态 0未推送 1推送成功 -1推送失败
     */
    @Schema(description = "状态 0推送中 1推送成功 -1推送失败")
    private Integer status;

    /**
     * 服务商号
     */
    @Schema(description = "服务商号")
    private String isvNo;


    /**
     * 通知ID唯一
     */
    @Schema(description = "通知ID唯一")
    private String notifyId;


    /**
     * 推送类型
     */
    @Schema(description = "推送类型")
    private String className;

    private String mobile;

    private String orderNo;

    /**
     * 创建时间区间 [开始时间，结束时间]
     */
    private LocalDateTime[] notifyTime;

}
