package com.kxs.lhb.basic.api.vo.admin.sysOrder;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 物流轨迹vo
 *
 * @author 系统
 * @date 2024-10-21 11:42:55
 */
@Data
@Schema(description = "物流轨迹返回实体")
public class QueryLogisticsVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 物流单号
     */
    @Schema(description = "物流单号")
    private String expressNo;


    /**
     * 物流详情
     */
    @Schema(description = "物流详情")
    private String content;


    /**
     * 时间
     */
    @Schema(description = "时间")
    private String operationTime;


}
