package com.kxs.lhb.basic.api.vo.cusmoter.goods;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 选号vo
 *
 * @author 系统
 * @date 2024-10-22 14:41:49
 */
@Data
@Schema(description = "选号返回实体")
public class NumbersVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 号码
     */
    @Schema(description = "号码")
    private String phone;


    /**
     * 0 非靓号，1 靓号 
     */
    @Schema(description = "0 非靓号，1 靓号 ")
    private String beautifulTag;


    /**
     * 预存金额（单位分）
     */
    @Schema(description = "预存金额（单位分）")
    private String reserveFee;





	

}
