package com.kxs.lhb.basic.api.vo.cusmoter.order;

import com.kxs.lhb.basic.api.model.LhbOrder;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 我的订单信息
 *
 * @author 系统
 * @date 2024-10-22 14:41:49
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "我的订单信息")
public class MyOrderVO extends LhbOrder implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    @Schema(description = "月租价格")
    private BigDecimal monthFee;

	

}
