package com.kxs.lhb.basic.biz.mq.model.params;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 订单通知
 *
 * @author 没秃顶的码农
 * @date 2024-09-02
 */
@Data
@Builder
public class OrderNotify{

    private String isvNo;

    private String mobile;

    /**
     * 账单金额 分
     */
    private BigDecimal amount;

    /**
     * 账单月
     */
    private Integer month;



}
