package com.kxs.lhb.system.api.vo.admin;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 没秃顶的码农
 * @date 2021/2/10
 */
@Data
@Schema(description = "前端角色展示对象")
public class RoleVO {

	/**
	 * 角色id
	 */
	@NotNull(message = "角色id不能为空")
	private Long roleId;

	/**
	 * 菜单列表
	 */
	@NotBlank(message = "菜单列表不能为空")
	private String menuIds;

}
