package com.kxs.lhb.system.biz;

import com.kxs.common.security.annotation.EnableAuthResourceServer;
import com.kxs.common.security.annotation.EnableLoginResourceServer;
import com.kxs.common.swagger.annotation.EnableKxsDoc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * @author 没秃顶的码农
 * @date 2022年06月21日
 * <p>
 * 用户统一管理系统
 */
@SpringBootApplication
@EnableLoginResourceServer
@EnableAuthResourceServer
@EnableKxsDoc(value = "admin")
@EnableAsync
public class LhbSysApplication {

	public static void main(String[] args) {
		SpringApplication.run(LhbSysApplication.class, args);
	}

}
