package com.kxs.lhb.system.biz.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.kxs.lhb.system.api.model.SysPost;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 岗位信息表
 *
 * @author 没秃顶的码农
 * @date 2023/11/06
 */
@Mapper
public interface SysPostMapper extends MPJBaseMapper<SysPost> {

	/**
	 * 通过用户ID，查询岗位信息
	 * @param userId 用户id
	 * @return 岗位信息
	 */
	List<SysPost> listPostsByUserId(Long userId);

}
