package com.kxs.common.excel.http;

import com.kxs.common.core.constant.SecurityConstants;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.service.annotation.PostExchange;

import java.util.Map;

/**
 * 调用系统模块保存导出文件
 *
 * @author 没秃顶的码农
 * @date 2023/11/12
 */
public interface RemoteSysService {

	/**
	 * 保存文件
	 * @param sysFile 文件
	 */
	@PostExchange("/sysFile/save")
	void saveFile(@RequestBody Map<String, Object> sysFile, @RequestHeader(SecurityConstants.FROM) String from);

}
