
package com.kxs.common.mq.enums;


/**
 * 定义MQ消息类型
 *
 * @author 没秃顶的码农
 * @date 2024-04-25
 */
public enum MQSendTypeEnum {
    /** QUEUE - 点对点 （只有1个消费者可消费。 ActiveMQ的queue模式 ） **/
    QUEUE,
    /** 广播模式 **/
    FANOUT,
    /** 延时消息 **/
    DELAY
}
