package com.kxs.common.file.oss.vo;

import lombok.Builder;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 政策 vo
 *
 * @author 没秃顶的码农
 * @date 2024-04-18
 */
@Data
@Builder
public class PolicyVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    private String accessKey;

    private String policy;

    private String signature;

    private String dir;

    private String host;

    private String expire;
}
