package com.kxs.common.pay.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付状态
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@Getter
@AllArgsConstructor
public enum PayStatusCommEnum {

    /**
     * 等待买家付款
     */
    WAIT_BUYER_PAY,

    /**
     * 未付款交易超时关闭，或支付完成后全额退款
     */
    TRADE_CLOSED,

    /**
     * 交易成功
     */
    TRADE_SUCCESS,

    /**
     * 交易完成
     */
    TRADE_FINISHED

}