package com.kxs.common.pay.model;

import com.kxs.common.pay.enums.PayPlatformEnum;
import com.kxs.common.pay.enums.PayStatusCommEnum;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 退款响应公共类
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@Data
@Builder
public class RefundResponse {

    /**
     * 支付平台枚举
     */
    private PayPlatformEnum payPlatformEnum;

    /**
     * 商户网站唯一订单号
     */
    private String outTradeNo;

    /**
     * 交易号
     */
    private String tradeNo;

    /**
     * 退款金额 元
     */
    private BigDecimal refundFee;
}