package com.kxs.common.security.annotation;

import java.lang.annotation.*;

/**
 * url请求不鉴权注解
 *
 * @author 没秃顶的码农
 * @date 2023/10/28
 */
@Target({ ElementType.METHOD, ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Inner {

	/**
	 * 是否AOP统一处理
	 * @return false, true
	 */
	boolean value() default true;

	/**
	 * 需要特殊判空的字段(预留)
	 * @return {}
	 */
	String[] field() default {};

}
