package com.kxs.lhb.basic.api.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 订单枚举
 *
 * @author 没秃顶的码农
 * @date 2024-09-04
 */
@Getter
@RequiredArgsConstructor
public enum OpTypeEnum {

    DX(1, "电信"),
    YD(2, "移动"),
    LT(3, "联通"),
    GD(4, "广电");

    private final int code;

    private final String description;
}
