package com.kxs.lhb.basic.api.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 订单枚举
 *
 * @author 没秃顶的码农
 * @date 2024-09-04
 */
@Getter
@RequiredArgsConstructor
public enum OrderStatusEnum {

    CANCEL(-1, "已取消"),
    NO_PAY(0, "待支付"),
    PAY(1, "已支付"),
    REFUND(2, "已退款");

    private final int code;

    private final String description;
}
