package com.kxs.lhb.basic.api.vo.app.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 查看物流信息vo
 *
 * @author 系统
 * @date 2024-10-22 14:41:49
 */
@Data
@Schema(description = "查看物流信息返回实体")
public class QueryLogisticsVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 快递单号
     */
    @Schema(description = "快递单号")
    private String expressNo;


    /**
     * 明细
     */
    @Schema(description = "明细")
    private String content;


    /**
     * 时间
     */
    @Schema(description = "时间")
    private String operationTime;





	

}
