package com.kxs.lhb.basic.api.vo.tongyi;

import lombok.Data;

import java.util.List;

/**
 * 套餐信息API
 *
 * @author 没秃顶的码农
 * @date 2024-10-18
 */
@Data
public class PackagesRes {

    private String id;

    private String goodsName;
    private String goodsLabel;
    private List<GoodsChild> goodsChildList;

    @Data
    public static class GoodsChild{

        private String id;
        private String childName;
        private String productId;
        private String childInfo;
        private String childFee;
        private String minFee;
        private String goodsId;
        private List<Activities> activities;
    }

    @Data
    public static class Activities{

        private String offerCode;
        private String offerName;
        private String offerDesc;
        private String offerModes;
        private String offerDiscount;
        private String straightDownAmount;
    }
}
