package com.kxs.lhb.basic.biz;

import com.kxs.common.security.annotation.EnableAuthResourceServer;
import com.kxs.common.security.annotation.EnableLoginResourceServer;
import com.kxs.common.swagger.annotation.EnableKxsDoc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.retry.annotation.EnableRetry;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * @author 没秃顶的码农
 * @date 2022年06月21日
 * <p>
 * 商户端
 */
@SpringBootApplication
@EnableLoginResourceServer
@EnableAuthResourceServer
@EnableKxsDoc(value = "basic")
@EnableAsync
@EnableRetry
public class LhbBasicApplication {

	public static void main(String[] args) {
		SpringApplication.run(LhbBasicApplication.class, args);
	}

}
