package com.kxs.lhb.basic.biz.mq.model.params;

import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 绑定通知
 *
 * @author 没秃顶的码农
 * @date 2024-09-02
 */
@Data
@Builder
public class BindNotify {


    private String isvNo;

    private String employNum;

    private String mobile;

    private String productName;

    private BigDecimal firstRechargeAmount;

    private String receiveName;

    private String receiveMobile;

    private String receiveAddress;

    private String orderNo;

    private String province;

    private String city;

    private String createTime;

    /**
     * 0-订单生成 1-订单配送中 2-订单完成 3-订单激活 -1-订单已取消
     */
    private Integer status;

    private String remark;
}
