package com.kxs.lhb.basic.biz.mq.model.params;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import com.kxs.common.core.exception.GlobalCustomerException;

public abstract class IsvParams {

    public static IsvParams factory(String paramsStr, String className){

        try {
            return (IsvParams)JSONObject.parseObject(paramsStr, Class.forName(IsvParams.class.getPackage().getName() +"."+ StrUtil.upperFirst(className)));
        } catch (ClassNotFoundException e) {
            throw new GlobalCustomerException("未找到对应的参数类"+ className);
        }
    }

}
