package com.kxs.lhb.basic.biz.service;

import com.github.yulichang.base.MPJBaseService;
import com.kxs.lhb.basic.api.dto.cusmoter.goods.NumbersDTO;
import com.kxs.lhb.basic.api.model.LhbGoods;
import com.kxs.lhb.basic.api.vo.cusmoter.goods.GoodsInfoVO;
import com.kxs.lhb.basic.api.vo.cusmoter.goods.NumbersVO;
import com.kxs.lhb.basic.api.vo.tongyi.PackagesRes;

import java.util.List;


/**
 * 产品表(LhbGoods)表服务接口
 *
 * @author 系统
 * @since 2024-10-18 16:10:13
 */
public interface LhbGoodsService extends MPJBaseService<LhbGoods> {

    Boolean addGoods(LhbGoods param);

    Boolean updateGoods(LhbGoods param);

    Boolean removeByGoodsId(Integer id);

    List<NumbersVO> getNumbers(NumbersDTO param);

    GoodsInfoVO detail(Integer id);

    void goodsInfoTask();

    List<PackagesRes> getOutGoods(String ifCode);
}

