package com.kxs.lhb.basic.biz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.kxs.lhb.basic.api.dto.admin.sysNotify.SysNotifyDTO;
import com.kxs.lhb.basic.api.dto.admin.sysNotify.SysNotifyPageDTO;
import com.kxs.lhb.basic.api.model.LhbNotify;
import com.kxs.lhb.basic.biz.mq.model.params.BindNotify;
import com.kxs.lhb.basic.biz.mq.model.params.OrderNotify;


/**
 * 通知记录表(LhbNotify)表服务接口
 *
 * @author 系统
 * @since 2024-10-18 16:10:12
 */
public interface LhbNotifyService extends MPJBaseService<LhbNotify> {

    LhbNotify getByNoteId(String notifyId);

    void bindPush(BindNotify bindNotify, String isvNo);

    void orderPush(OrderNotify orderNotify, String isvNo);

    Page<LhbNotify> notifyPage(Page<LhbNotify> page, SysNotifyPageDTO param);

    Boolean notifyBatchData(SysNotifyDTO param);
}

