package com.kxs.lhb.basic.biz.service;

import com.github.yulichang.base.MPJBaseService;
import com.kxs.lhb.basic.api.model.LhbOrderRecharge;
import com.kxs.lhb.basic.api.vo.admin.bill.BillExcelVO;
import org.springframework.validation.BindingResult;

import java.util.List;


/**
 * 订单号码充值记录(LhbOrderRecharge)表服务接口
 *
 * @author 系统
 * @since 2024-10-18 16:10:14
 */
public interface LhbOrderRechargeService extends MPJBaseService<LhbOrderRecharge> {

    void importBill(List<BillExcelVO> billExcelList, String uuid, BindingResult bindingResult);
}

