package com.kxs.lhb.basic.biz.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.toolkit.JoinWrappers;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.kxs.lhb.basic.biz.mapper.LhbInterfaceConfigMapper;
import com.kxs.lhb.basic.biz.service.LhbInterfaceConfigService;
import org.springframework.stereotype.Service;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import com.kxs.lhb.basic.api.model.LhbInterfaceConfig;


/**
 * 通道参数配置表(LhbInterfaceConfig)表服务实现类
 *
 * @author 系统
 * @since 2024-10-18 16:10:11
 */
@Service("lhbInterfaceConfigService")
@RequiredArgsConstructor
@Slf4j
public class LhbInterfaceConfigServiceImpl extends MPJBaseServiceImpl<LhbInterfaceConfigMapper, LhbInterfaceConfig> implements LhbInterfaceConfigService {

}

