package com.kxs.lhb.system.api.feign;

import com.kxs.common.core.util.R;
import com.kxs.lhb.system.api.model.SysDictItem;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.service.annotation.GetExchange;

import java.util.List;

/**
 * @author LXQ
 * @date 2021/5/12
 * <p>
 * 查询参数相关
 */
public interface RemoteDictService {

	/**
	 * 通过字典类型查找字典
	 * @param type 字典类型
	 * @return 同类型字典
	 */
	@GetExchange("/dict/type/{type}")
	R<List<SysDictItem>> getDictByType(@PathVariable("type") String type);

}
