package com.kxs.lhb.system.api.feign;

import com.kxs.common.core.constant.SecurityConstants;
import com.kxs.lhb.system.api.model.SysLog;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.service.annotation.PostExchange;

/**
 * 远程日志服务
 *
 * @author 没秃顶的码农
 * @date 2023/11/12
 */
public interface RemoteLogService {

	/**
	 * 保存日志
	 * @param sysLog 日志实体
	 */
	@PostExchange("/log/save")
	void saveLog(@RequestBody SysLog sysLog, @RequestHeader(SecurityConstants.FROM) String from);

}
