
package com.kxs.lhb.system.api.feign;

import com.kxs.common.core.constant.SecurityConstants;
import com.kxs.common.core.util.R;
import com.kxs.lhb.system.api.dto.admin.UserInfo;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.service.annotation.GetExchange;

/**
 * @author Lxq
 * @date 2021/6/22
 */
public interface RemoteUserService {

	/**
	 * 通过用户名查询用户、角色信息
	 * @param username 用户查询对象
	 * @param from 调用标志
	 * @return R
	 */
	@GetExchange("/user/info/query")
	R<UserInfo> info(@RequestParam("username") String username, @RequestHeader(SecurityConstants.FROM) String from);


}
