package com.kxs.lhb.system.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kxs.lhb.system.api.model.SysRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 基本系统角色
 *
 * @author 没秃顶的码农
 * @date 2023/10/28
 */
@Mapper
public interface SysRoleMapper extends BaseMapper<SysRole> {

	/**
	 * 通过用户ID，查询角色信息
	 * @param userId
	 * @return
	 */
	List<SysRole> listRolesByUserId(Long userId);

}
