package com.kxs.lhb.system.biz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kxs.lhb.system.api.dto.admin.SysLogDTO;
import com.kxs.lhb.system.api.model.SysLog;

/**
 * <p>
 * 日志表 服务类
 * </p>
 *
 * @author 秃顶的码农
 * @since 2023-11-20
 */
public interface SysLogService extends IService<SysLog> {

	/**
	 * 插入日志
	 * @param sysLog 日志对象
	 * @return true/false
	 */
	Boolean saveLog(SysLog sysLog);

	/**
	 * 分页查询日志
	 * @param page
	 * @param sysLog
	 * @return
	 */
	Page<SysLog> getLogByPage(Page<SysLog> page, SysLogDTO sysLog);

}
